#pragma message ( "including pwritea.cc (pixel to screen aa)" );
   if (!(*(clip_memory+offset)))
   {
#ifndef DEBUG_MSG
 #ifdef LINE_WITH_COLOR
  #ifndef BANKED
     *(dest+offset)=(T_UCHAR)T_COLOR;
  #else //#ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
     if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_write_window]=new_win_address;
      vesa_set_write_window();
     }
     *((T_PUCHAR )(vesa_write_seg+offset_x))=(T_UCHAR)T_COLOR;
  #endif //#else //#ifndef BANKED
 #else //#ifdef LINE_WITH_COLOR
  #ifndef BANKED
     *(dest+offset)=(*(overlay_memory+offset))>>4;
  #else //#ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
     if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_write_window]=new_win_address;
      vesa_set_write_window();
     }
     *((T_PUCHAR )(vesa_write_seg+offset_x))=(*(overlay_memory+offset))>>4;
  #endif //#else //#ifndef BANKED
 #endif //#else //#ifdef LINE_WITH_COLOR
    }
#else // #ifndef DEBUG_MSG
 #ifdef LINE_WITH_COLOR
  #ifndef BANKED
     *(dest+offset)=(T_UCHAR)T_COLOR;
  #else // #ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
     if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_write_window]=new_win_address;
      vesa_set_write_window();
     }
     *((T_PUCHAR )(vesa_write_seg+offset_x))=(T_UCHAR)T_COLOR;
  #endif // #else // #ifndef BANKED
     *(back+offset)=(T_UCHAR)T_COLOR;
    }
    else
    {
     if (!((*(clip_memory+offset))&1))
     {
      *(back+offset)=(T_UCHAR)T_COLOR;
     }
 #else //#ifdef LINE_WITH_COLOR
  #ifndef BANKED
     *(dest+offset)=(pixel=(*(overlay_memory+offset))>>4);
  #else // #ifndef BANKED
     offset_x=(T_UWORD)(offset&vesa_and_x);
     if (vesa_address_of_window[vesa_write_window]!=(new_win_address=(T_UWORD)(offset>>vesa_granularity_potenz)))
     {
      vesa_address_of_window[vesa_write_window]=new_win_address;
      vesa_set_write_window();
     }
     *((T_PUCHAR )(vesa_write_seg+offset_x))=(pixel=(*(overlay_memory+offset))>>4);
  #endif // #else // #ifndef BANKED
     *(back+offset)=pixel;
    }
    else
    {
     if (!((*(clip_memory+offset))&1))
     {
      *(back+offset)=(*(overlay_memory+offset))>>4;
     }
 #endif //#else //#ifdef LINE_WITH_COLOR
    }
#endif // #else // #ifndef DEBUG_MSG
